Summary
Get Details of Form by ID
Description
Get details for a specific form from by ID
Route
GET /formbuilder/getForm/:form_id
Roles
admin
apiread
operator
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| form_id |
string |
yes |
Form ID |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| data |
object |
Forms details |
Copied to Clipboard
{
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "129ad72f-bde1-b759-7ce9-80191bb8d2bc",
"groups": [
"4430e06748f464fdf22d5b8c"
],
"created": "1977-01-18T20:03:02.434Z",
"created_by": "133cce4cdc916f517a47c407",
"last_updated": "1982-05-16T08:19:08.451Z",
"last_updated_by": "d120094d125386c197754e21"
}